import React, { Component } from "react";
import Table from "react-bootstrap/Table";
import TwoUserIcons from "../../../../components/TwoUserIcons";
import Avatar1 from "../../../../assets/images/icons/Avatar1.png";
import Avatar2 from "../../../../assets/images/icons/Avatar2.png";
import "../../../../assets/css/network.less";
import Search from "../../../../components/Search";

class Index extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    const AvatarIconData = [
      {
        AvatarIcon: Avatar1,
        AvatarIconAlt: "Avatar1-icon",
      },
      {
        AvatarIcon: Avatar2,
        AvatarIconAlt: "Avatar2-icon",
      },
    ];
    let { ArchivedData} = this.props;

    var ArchivedDataList = ArchivedData &&
    ArchivedData.map((element, key) => {
        return (
          <>
            <tr>
              <td>
                <div className="w-100 me-5">
                  <div className="row">
                    <div className="col-3 col-sm-2 col-md-3 ">
                      <div className="zip DocumentsList__List__items__Extension ">zip
                        {/* <img
                          src={element.image}
                          style={{ width: "20px", height: "20px" }}
                        /> */}
                      </div>
                    </div>
                    <div className="col-9 col-sm-10  col-md-9 fileExtension-desc">
                      <h2 className="document-title">
                        {element.DocumentName}
                      </h2>
                      <p className="document-date">
                        {element.DocumentDate} - {element.DocumentTime}
                      </p>
                    </div>
                  </div>
                </div>
              </td>

              <td >
                <p className="document-update">
                  {element.LastUpdated}
                </p>
              </td>
              <td >
                <p className="document-desc">{element.Description}</p>
              </td>
              <td>
                <button className="btn cta--libbutton2 mt-1">GDrive</button>
                <button className="btn  cta--libbutton1 mt-1">Phase1</button>
              </td>

              <td>
                <div className="two-icon">
                  <div className="Two-Avatar-icon">
                    <TwoUserIcons AvatarIconData={AvatarIconData} />
                  </div>
                </div>
              </td>
              <td className="cursorshow">...</td>
            </tr>
          </>
        );
      });
    return (
      <>
        <div className="library">
          <div className="library__search">
            <div className="row">
              <div className="col-8 col-sm-8 col-md-4 col-lg-4 col-xl-4 col-xxl-4 mb-4 ">
                <Search placeholder="Search" />
              </div>
              <div className="col-4 col-sm-4 col-md-8 col-lg-8 col-xl-8 col-xxl-8 mt-4 mb-4 text-rights">
                {/* <svg width="87" height="34" viewBox="0 0 87 34" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M31.9997 12.332H11.9997C11.8229 12.332 11.6533 12.4023 11.5283 12.5273C11.4032 12.6523 11.333 12.8219 11.333 12.9987C11.333 13.1755 11.4032 13.3451 11.5283 13.4701C11.6533 13.5951 11.8229 13.6654 11.9997 13.6654H31.9997C32.1765 13.6654 32.3461 13.5951 32.4711 13.4701C32.5961 13.3451 32.6663 13.1755 32.6663 12.9987C32.6663 12.8219 32.5961 12.6523 32.4711 12.5273C32.3461 12.4023 32.1765 12.332 31.9997 12.332Z" fill="#525360" />
                <path d="M28.667 16.332H15.3337C15.1568 16.332 14.9873 16.4023 14.8623 16.5273C14.7372 16.6523 14.667 16.8219 14.667 16.9987C14.667 17.1755 14.7372 17.3451 14.8623 17.4701C14.9873 17.5951 15.1568 17.6654 15.3337 17.6654H28.667C28.8438 17.6654 29.0134 17.5951 29.1384 17.4701C29.2634 17.3451 29.3337 17.1755 29.3337 16.9987C29.3337 16.8219 29.2634 16.6523 29.1384 16.5273C29.0134 16.4023 28.8438 16.332 28.667 16.332Z" fill="#525360" />
                <path d="M25.3333 20.332H18.6667C18.4899 20.332 18.3203 20.4023 18.1953 20.5273C18.0702 20.6523 18 20.8219 18 20.9987C18 21.1755 18.0702 21.3451 18.1953 21.4701C18.3203 21.5951 18.4899 21.6654 18.6667 21.6654H25.3333C25.5101 21.6654 25.6797 21.5951 25.8047 21.4701C25.9298 21.3451 26 21.1755 26 20.9987C26 20.8219 25.9298 20.6523 25.8047 20.5273C25.6797 20.4023 25.5101 20.332 25.3333 20.332Z" fill="#525360" />
                <path d="M47.8961 12.636V13.524H44.2601V16.344H47.2121V17.232H44.2601V21H43.1681V12.636H47.8961ZM49.779 13.356C49.571 13.356 49.395 13.284 49.251 13.14C49.107 12.996 49.035 12.82 49.035 12.612C49.035 12.404 49.107 12.228 49.251 12.084C49.395 11.94 49.571 11.868 49.779 11.868C49.979 11.868 50.147 11.94 50.283 12.084C50.427 12.228 50.499 12.404 50.499 12.612C50.499 12.82 50.427 12.996 50.283 13.14C50.147 13.284 49.979 13.356 49.779 13.356ZM50.307 14.424V21H49.215V14.424H50.307ZM53.2601 12.12V21H52.1681V12.12H53.2601ZM56.4533 15.324V19.2C56.4533 19.52 56.5213 19.748 56.6573 19.884C56.7933 20.012 57.0293 20.076 57.3653 20.076H58.1693V21H57.1853C56.5773 21 56.1213 20.86 55.8173 20.58C55.5133 20.3 55.3613 19.84 55.3613 19.2V15.324H54.5093V14.424H55.3613V12.768H56.4533V14.424H58.1693V15.324H56.4533ZM65.4924 17.46C65.4924 17.668 65.4804 17.888 65.4564 18.12H60.2004C60.2404 18.768 60.4604 19.276 60.8604 19.644C61.2684 20.004 61.7604 20.184 62.3364 20.184C62.8084 20.184 63.2004 20.076 63.5124 19.86C63.8324 19.636 64.0564 19.34 64.1844 18.972H65.3604C65.1844 19.604 64.8324 20.12 64.3044 20.52C63.7764 20.912 63.1204 21.108 62.3364 21.108C61.7124 21.108 61.1524 20.968 60.6564 20.688C60.1684 20.408 59.7844 20.012 59.5044 19.5C59.2244 18.98 59.0844 18.38 59.0844 17.7C59.0844 17.02 59.2204 16.424 59.4924 15.912C59.7644 15.4 60.1444 15.008 60.6324 14.736C61.1284 14.456 61.6964 14.316 62.3364 14.316C62.9604 14.316 63.5124 14.452 63.9924 14.724C64.4724 14.996 64.8404 15.372 65.0964 15.852C65.3604 16.324 65.4924 16.86 65.4924 17.46ZM64.3644 17.232C64.3644 16.816 64.2724 16.46 64.0884 16.164C63.9044 15.86 63.6524 15.632 63.3324 15.48C63.0204 15.32 62.6724 15.24 62.2884 15.24C61.7364 15.24 61.2644 15.416 60.8724 15.768C60.4884 16.12 60.2684 16.608 60.2124 17.232H64.3644ZM68.0258 15.492C68.2178 15.116 68.4898 14.824 68.8418 14.616C69.2018 14.408 69.6378 14.304 70.1498 14.304V15.432H69.8618C68.6378 15.432 68.0258 16.096 68.0258 17.424V21H66.9338V14.424H68.0258V15.492ZM73.7383 21.108C73.2343 21.108 72.7823 21.024 72.3823 20.856C71.9823 20.68 71.6663 20.44 71.4343 20.136C71.2023 19.824 71.0743 19.468 71.0503 19.068H72.1783C72.2103 19.396 72.3623 19.664 72.6343 19.872C72.9143 20.08 73.2783 20.184 73.7263 20.184C74.1423 20.184 74.4703 20.092 74.7103 19.908C74.9503 19.724 75.0703 19.492 75.0703 19.212C75.0703 18.924 74.9423 18.712 74.6863 18.576C74.4303 18.432 74.0343 18.292 73.4983 18.156C73.0103 18.028 72.6103 17.9 72.2983 17.772C71.9943 17.636 71.7303 17.44 71.5063 17.184C71.2903 16.92 71.1823 16.576 71.1823 16.152C71.1823 15.816 71.2823 15.508 71.4823 15.228C71.6823 14.948 71.9663 14.728 72.3343 14.568C72.7023 14.4 73.1223 14.316 73.5943 14.316C74.3223 14.316 74.9103 14.5 75.3583 14.868C75.8063 15.236 76.0463 15.74 76.0783 16.38H74.9863C74.9623 16.036 74.8223 15.76 74.5663 15.552C74.3183 15.344 73.9823 15.24 73.5583 15.24C73.1663 15.24 72.8543 15.324 72.6223 15.492C72.3903 15.66 72.2743 15.88 72.2743 16.152C72.2743 16.368 72.3423 16.548 72.4783 16.692C72.6223 16.828 72.7983 16.94 73.0063 17.028C73.2223 17.108 73.5183 17.2 73.8943 17.304C74.3663 17.432 74.7503 17.56 75.0463 17.688C75.3423 17.808 75.5943 17.992 75.8023 18.24C76.0183 18.488 76.1303 18.812 76.1383 19.212C76.1383 19.572 76.0383 19.896 75.8383 20.184C75.6383 20.472 75.3543 20.7 74.9863 20.868C74.6263 21.028 74.2103 21.108 73.7383 21.108Z" fill="#525360" />
                <rect x="0.5" y="0.5" width="86" height="33" rx="3.5" stroke="#ECECEC" />
              </svg> */}
              </div>
            </div>
          </div>
        </div>

        {ArchivedData && ArchivedData.length > 0 && (
          <div className="Getdocs">
            <div>

              <Table responsive="sm md lg xl" className="libtable">
                <thead>
                  <tr>
                    <th>Name</th>

                    <th>Last Updated</th>
                    <th>Description</th>
                    <th>Shared by</th>
                    <th>Shared with</th>
                  </tr>
                </thead>
                <tbody className="hovertbl">{ArchivedDataList}</tbody>
              </Table>
            </div>
          </div>
        )}
      </>
    );
  }
}
export default Index;
